KILLALL5(8)

NOME
killall5 - envia um sinal a todos os processos

RESUMO
killall5 -signalnumber [-o omitpid[,omitpid...]] [-o omitpid[,omitpid...]...]

DESCRIÇÃO
killall5 é o comando killall do SystemV. Envia um sinal a todos os processos excepto tópicos do kernel e aos processos da sua própria sessão, assim não mata a shell que está a correr o script de onde foi chamado. O seu uso principal (e único) está nos scripts rc encontrados no directório /etc/init.d.

OPÇÕES

-o omitpid
    Diz ao killall5 para omitir processos com esse id de processo.

NOTAS
O killall5 também pode ser invocado como pidof(8), o que é simplesmente um link (simbólico) para o programa killall5.

ESTADO DE SAÍDA
O programa retorna zero se matou processos. Retorna 2 se nenhum processo foi morto, e 1 se foi incapaz de encontrar quaisquer processos (/proc/ em falta).

VEJA TAMBÉM
halt(8), reboot(8), pidof(8)

AUTOR
Miquel van Smoorenburg (miquels@cistron.nl)